<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.common.commonmenu.mapper.CommonMenuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="commonMenuResultMap" type="org.springblade.common.commonmenu.entity.CommonMenu">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="menu_id" property="menuId"/>
        <result column="menu_name" property="menuName"/>
        <result column="path" property="path"/>
        <result column="source" property="source"/>
    </resultMap>


    <select id="selectCommonMenuPage" resultMap="commonMenuResultMap">
        select * from yc_common_menu where is_deleted = 0
    </select>

    <delete id="deletePhysicalByMenuId">
        DELETE FROM yc_common_menu WHERE menu_id = #{menuId}
    </delete>

</mapper>
